# XBEE_ERRORTOSTR

Section: Linux Programmer's Manual (3)
Updated: 04-Mar-2012
Index Return to Main Contents

## NAME

xbee_errorToStr, xbee_errors, xbee_err

## SYNOPSIS

#include <xbee.h>

const char *xbee_errorToStr(xbee_err error);

    enum xbee_errors {
            XBEE_ENONE                 =  0,
            XBEE_EUNKNOWN              = -1,

            XBEE_ENOMEM                = -2,

            XBEE_ESELECT               = -3,
            XBEE_ESELECTINTERRUPTED    = -4,

            XBEE_EEOF                  = -5,
            XBEE_EIO                   = -6,

            XBEE_ESEMAPHORE            = -7,
            XBEE_EMUTEX                = -8,
            XBEE_ETHREAD               = -9,
            XBEE_ELINKEDLIST           = -10,

            XBEE_ESETUP                = -11,
            XBEE_EMISSINGPARAM         = -12,
            XBEE_EINVAL                = -13,
            XBEE_ERANGE                = -14,
            XBEE_ELENGTH               = -15,

            XBEE_EFAILED               = -18,
            XBEE_ETIMEOUT              = -17,
            XBEE_EWOULDBLOCK           = -16,
            XBEE_EINUSE                = -19,
            XBEE_EEXISTS               = -20,
            XBEE_ENOTEXISTS            = -21,
            XBEE_ENOFREEFRAMEID        = -22,

            XBEE_ESTALE                = -23,
            XBEE_ENOTIMPLEMENTED       = -24,

            XBEE_ETX                   = -25,

            XBEE_EREMOTE               = -26,

            XBEE_ESLEEPING             = -27,
            XBEE_ECATCHALL             = -28,

            XBEE_ESHUTDOWN             = -29,
    };

typedef enum xbee_errors xbee_err;

## DESCRIPTION

xbee_errorToStr() provides simple error number to textual error message resolution. The returned string should not be free()'d and is not modifiable.

This function behaves similarly to strerror(3) but the returned string will not be modified by subsequent calls.

### Return Value

On success this function will return a pointer to a nul terminated string, otherwise a generic error message will be returned.

## AUTHOR

Attie Grande <attie@attie.co.uk>

## SEE ALSO

libxbee(3)

## Index

NAME
SYNOPSIS
DESCRIPTION
  Return Value
AUTHOR
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 18:19:28 GMT, September 04, 2013